Package org.eclipse.emf.cdo.lm.security.util

# Class LMSecurityAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.emf.cdo.lm.security.util.LMSecurityAdapterFactory

All Implemented Interfaces:
  `AdapterFactory`

Direct Known Subclasses:
  `LMSecurityItemProviderAdapterFactory`

public class LMSecurityAdapterFactory extends AdapterFactoryImpl
The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  - `LMSecurityPackage`
Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static LMSecurityPackage`
`modelPackage`
The cached model package.
`protected LMSecuritySwitch<Adapter>`
`modelSwitch`
The switch that delegates to the `createXXX` methods.

## Constructor Summary

Constructors
Constructor
Description
`LMSecurityAdapterFactory()`
Creates an instance of the adapter factory.

## Method Summary

Modifier and Type
Method
Description
`Adapter`
`createAdapter(Notifier target)`
Creates an adapter for the `target`.
`Adapter`
`createEObjectAdapter()`
Creates a new adapter for the default case.
`Adapter`
`createLMFilterAdapter()`
Creates a new adapter for an object of class '`LM Filter`'.
`Adapter`
`createModuleFilterAdapter()`
Creates a new adapter for an object of class '`Module Filter`'.
`Adapter`
`createModuleTypeFilterAdapter()`
Creates a new adapter for an object of class '`Module Type Filter`'.
`Adapter`
`createPermissionFilterAdapter()`
Creates a new adapter for an object of class '`Permission Filter`'.
`boolean`
`isFactoryForType(Object object)`
Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static LMSecurityPackage modelPackage
The cached model package.

Generated

### modelSwitch

protected LMSecuritySwitch<Adapter> modelSwitch
The switch that delegates to the `createXXX` methods.

Generated

## Constructor Details

### LMSecurityAdapterFactory

public LMSecurityAdapterFactory()
Creates an instance of the adapter factory.

Generated

## Method Details

### isFactoryForType

public boolean isFactoryForType(Object object)
Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `AdapterFactory`
Overrides:
  `isFactoryForType` in class `AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.
Generated

### createAdapter

public Adapter createAdapter(Notifier target)
Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.
Generated

### createLMFilterAdapter

public Adapter createLMFilterAdapter()
Creates a new adapter for an object of class '`LM Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `LMFilter`
Generated

### createModuleFilterAdapter

public Adapter createModuleFilterAdapter()
Creates a new adapter for an object of class '`Module Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ModuleFilter`
Generated

### createModuleTypeFilterAdapter

public Adapter createModuleTypeFilterAdapter()
Creates a new adapter for an object of class '`Module Type Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ModuleTypeFilter`
Generated

### createPermissionFilterAdapter

public Adapter createPermissionFilterAdapter()
Creates a new adapter for an object of class '`Permission Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `PermissionFilter`
Generated

### createEObjectAdapter

public Adapter createEObjectAdapter()
Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.
Generated